/* 
 * i-scream central monitoring system
 * http://www.i-scream.org.uk
 * Copyright (C) 2000-2002 i-scream
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

//---PACKAGE DECLARATION---
package uk.org.iscream.cms.server.client;

//---IMPORTS---
import uk.org.iscream.cms.util.XMLPacket;

/**
 * An interface to which a Monitor must adhere.
 *
 * This is extended by the MonitorSkeleton, Monitors should
 * typically extend this class to be a fully functional Monitor.
 *
 * @author  $Author: tdb $
 * @version $Id: PluginMonitor.java,v 1.9 2003/02/05 16:43:45 tdb Exp $
 */
public interface PluginMonitor {

//---STATIC METHODS---

//---CONSTRUCTORS---

//---PUBLIC METHODS---
    
    /**
     * Gives a description of what this PluginMonitor does
     *
     * @return the description
     */
    public String getDescription();

//---PRIVATE METHODS---

//---ACCESSOR/MUTATOR METHODS---

}
